POST /v1/actions/{type}/test
Test an action with custom payload
POST
/v1/actions/{type}/test
Test an action with custom payload
Path Parameters
type
string
required
path
Action type
Request Body required
Test parameters
application/jsonOne of:
Option 1
Option 2
connector
object
nil if action doesn't need connector
chainId
integer
id
string
type
string
walletAddress
string
inputs
object
REQUIRED
Responses
200
OK
application/jsoncode
integer
data
object
actionType
string
cuCost
integer
error
object
code
string
message
string
executionTimeMs
integer
requiresGas
boolean
result
object
success
boolean
message
string
requestId
string
400
Bad Request
402
Payment Required
404
Not Found
502
Bad Gateway
curl -X POST 'https://api.example.com/v1/actions/string/test' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/actions/string/test', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/actions/string/test', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/actions/string/test", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "actionType": "<string>", "cuCost": 123, "error": { "code": "<string>", "message": "<string>" }, "executionTimeMs": 123, "requiresGas": true, "result": "<object>", "success": true }, "message": "successfully", "requestId": "abc-123"}
API Playground
Try this endpoint
POST
/v1/actions/{type}/test
